## List available base models for training **get** `/api/v1/autoscientist/models` Returns the set of base models that can be used as the `model` field when creating an AutoScientist run. ### Returns - `models: array of object { id, display_name, model_size, 3 more }` - `id: string` Identifier to pass as `model` when creating a job. - `display_name: string` Human-readable model name. - `model_size: optional unknown` Parameter count label (e.g. "8B", "70B"). - `context_length: optional unknown` Maximum context window in tokens. - `methods: array of string` Training methods supported (e.g. ["sft", "dpo"]). - `training_types: array of string` Training types supported (e.g. ["lora", "full"]). ### Example ```http curl https://api.prod.adaptionlabs.ai/api/v1/autoscientist/models \ -H "Authorization: Bearer $ADAPTION_API_KEY" ``` #### Response ```json { "models": [ { "id": "id", "display_name": "display_name", "model_size": {}, "context_length": {}, "methods": [ "string" ], "training_types": [ "string" ] } ] } ```